cgGetParameterEffect(3)

NAME
cgGetParameterEffect - get a parameter's parent program

SYNOPSIS
  #include <Cg/cg.h>
  CGeffect cgGetParameterEffect( CGparameter param );

PARAMETERS

param
    The parameter.

RETURN VALUES
Returns a CGeffect handle to the parent effect.

Returns NULL if the parameter is not a child of an effect or if an error occurs.

DESCRIPTION
cgGetParameterEffect allows the application to retrieve a handle to the effect to which a given parameter belongs.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

HISTORY
cgGetParameterEffect was introduced in Cg 1.5.

SEE ALSO
the cgCreateEffect manpage, the cgGetParameterProgram manpage, the cgCreateParameter manpage